<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>Uses of Class mapping.KeyMap</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class mapping.KeyMap";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../mapping/package-summary.html">Package</a></li>
<li><a href="../../mapping/KeyMap.html" title="class in mapping">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?mapping/class-use/KeyMap.html" target="_top">Frames</a></li>
<li><a href="KeyMap.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class mapping.KeyMap" class="title">Uses of Class<br>mapping.KeyMap</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="mapping">
<!--   -->
</a>
<h3>Uses of <a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a> in <a href="../../mapping/package-summary.html">mapping</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../mapping/package-summary.html">mapping</a> that return <a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a></code></td>
<td class="colLast"><span class="typeNameLabel">MappingModel.</span><code><span class="memberNameLink"><a href="../../mapping/MappingModel.html#createNewKeyMap-java.lang.String-java.lang.String-">createNewKeyMap</a></span>(java.lang.String&nbsp;name,
               java.lang.String&nbsp;parent)</code>
<div class="block">Creates a new keymap and adds it the keymap tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a></code></td>
<td class="colLast"><span class="typeNameLabel">MappingModel.</span><code><span class="memberNameLink"><a href="../../mapping/MappingModel.html#getKeyMap-java.lang.String-">getKeyMap</a></span>(java.lang.String&nbsp;keyMapName)</code>
<div class="block">Returns the KeyMap object of the specified name.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../mapping/package-summary.html">mapping</a> that return types with arguments of type <a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a>&lt;<a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MappingModel.</span><code><span class="memberNameLink"><a href="../../mapping/MappingModel.html#getKeyMapTree--">getKeyMapTree</a></span>()</code>
<div class="block">Returns the tree of keymaps.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../mapping/package-summary.html">mapping</a> with parameters of type <a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">KeyMap.</span><code><span class="memberNameLink"><a href="../../mapping/KeyMap.html#compareTo-mapping.KeyMap-">compareTo</a></span>(<a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&nbsp;other)</code>
<div class="block">Compares two KeyMaps.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../mapping/package-summary.html">mapping</a> with type arguments of type <a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../mapping/XmlSerialiser.html#XmlSerialiser-mapping.TreeDataStructure-java.lang.String-">XmlSerialiser</a></span>(<a href="../../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a>&lt;<a href="../../mapping/KeyMap.html" title="class in mapping">KeyMap</a>&gt;&nbsp;keymaps,
             java.lang.String&nbsp;path)</code>
<div class="block">Constructs the XMLSerialiser object.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../mapping/package-summary.html">Package</a></li>
<li><a href="../../mapping/KeyMap.html" title="class in mapping">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?mapping/class-use/KeyMap.html" target="_top">Frames</a></li>
<li><a href="KeyMap.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
